Portfolio orders (exchange)
The request cannot be executed anonymously. The required token parameter must contain an up-to-date Access Token.
This operation can be performed with request to HTTP API.
The request creates a subscription to receive information about all exchange orders related to the specified portfolio.
Request
To create a subscription to a data channel, send a message to the established WebSocket connection with a request body containing the details of the subscription to be created.
- Request body
- Schema
{
"opcode": "OrdersGetAndSubscribeV2",
"exchange": "ITS",
"portfolio": "D00013",
"orderStatuses": [
"filled"
],
"skipHistory": false,
"format": "Simple",
"guid": "c328fcf1-e495-408a-a0ed-e20f95d6b813",
"token": "eyJhbGciOiJ..."
}
Request body parameters
OrderBookGetAndSubscribe— Subscription to order bookBarsGetAndSubscribe— Subscription to price history (candlesticks)QuotesSubscribe— Subscription to quotesInstrumentsGetAndSubscribeV2— Subscription to security information updates on the selected exchangeAllTradesGetAndSubscribe— Subscribe to all tradesPositionsGetAndSubscribeV2— Subscription to information about current positions on securities and moneySummariesGetAndSubscribeV2— Subscription to portfolio summary informationRisksGetAndSubscribe— Subscription to consolidated information on portfolio risksTradesGetAndSubscribeV2— Subscription for information on tradesOrdersGetAndSubscribeV2— Subscription to information about current orders on the market for the selected exchange and securityStopOrdersGetAndSubscribeV2— Subscription to information about current conditional orders in the market for the selected exchange and securityunsubscribe— Cancelation of previously created subscriptionworking— Waiting for executionfilled— Executedcanceled— Canceledrejected— Rejectedtrue— display only new datafalse— display including historical dataSimpleis the original data format. Supports legacy (deprecated) parameters to ensure backward compatibilitySlimis the lightweight data format for fast messaging. Does not support legacy (deprecated) parametersHeavyis the complete data format, evolving and augmented with new fields. Does not support legacy (deprecated) parameters
Operation code:
Exchange code
Example: ITS
Client portfolio ID
Example: D00013
Optional filter by order statuses. Affects only the filtering of primary historical data at subscription. Possible values:
Example: filled
Flag for filtering out historical data:
Example: false
The format of the JSON object returned by the server:
Example: Simple
The unique identifier of the operation. All incoming messages related to this operation will have this guid field value
Example: c328fcf1-e495-408a-a0ed-e20f95d6b813
Access Token
Example: eyJhbGciOiJ...
Responses
The content of the response returned to the WebSocket connection depends on the results of processing the request:
- If the request is processed successfully, the server will send one
200code message in response, confirming that the subscription has been created, after which it will begin transmitting100code messages containing the information requested as part of the subscription. - If the request processing failed, the server will send back one message with an error code corresponding to the reason for the failure, after which it will close the WebSocket connection.
- 100
- 200
- 401
Messages from the channel containing the requested information
- Simple
- Slim
- Heavy
- Response body
- Schema
{
"data": {
"id": "2006665023417483347",
"symbol": "SOGN",
"brokerSymbol": "ITS:SOGN",
"portfolio": "D00013",
"exchange": "ITS",
"comment": null,
"type": "limit",
"side": "buy",
"status": "working",
"transTime": "2024-01-08T15:57:12.2911671Z",
"updateTime": "2024-01-08T15:57:12.2911671Z",
"endTime": "2024-12-27T23:59:59.9990000Z",
"qtyUnits": 1,
"qtyBatch": 1,
"qty": 1,
"filledQtyUnits": 0,
"filledQtyBatch": 0,
"filled": 0,
"price": 6400.00000,
"existing": true,
"timeInForce": "oneday",
"iceberg": null,
"volume": 6400.00000
},
"guid": "c328fcf1-e495-408a-a0ed-e20f95d6b813"
}
Response body parameters
limit— Limit ordermarket— Market orderbuysellworking— Waiting for executionfilled— Executedcanceled— Canceledrejected— RejectedOneDay— Execute within one trading day. At the expiration of this term the unexecuted balance is withdrawnImmediateOrCancel— Execute immediately for the entire available volume of counter orders. The unexecuted balance is canceledFillOrKill— Execute immediately for the whole specified volume without a balance. If execution without a balance is impossible — the order is canceledAtTheClose— Execute at the moment of trading closing at the market price reached at that moment. Market orders only because the lot price depends on the market price at the moment of executionGoodTillCancelled— Execute within the maximum available period supported by the exchange. Futures market onlyBookOrCancel— Passive order. Will be placed on the exchange only if its price or spread value is worse than similar indicators of counter orders
data
object
Requested data
Unique order ID
Example: 2006665023417483347
Security code (ticker)
Example: SOGN
Exchange-Ticker Pair
Example: ITS:SOGN
Client portfolio ID
Example: D00013
Exchange code
Example: ITS
Custom order comment. Maximum comment length is limited by 100 characters
Example: First order
Order type:
Example: market
Transaction side:
Example: sell
Order status:
Example: working
Date and time of order transaction (UTC)
Example: 2024-01-08T15:57:12.2911671Z
Date and time of order update (UTC)
Example: 2024-01-08T15:57:12.2911671Z
Date and time of closing order (UTC)
Example: 2024-12-27T23:59:59.9990000Z
Number of units
Example: 1
Number of lots
Example: 1
Number of lots
Example: 1
Number of units filled
Example: 0
Number of lots filled
Example: 0
Number of lots filled
Example: 0
Price
Example: 271.57
True will return the response including data from snapshot, i.e. from history. False will return only new events
Example: false
Order placement condition considering the possibility of its execution:
Example: OneDay
icebergobject
Special fields for transactions with hidden part
The visible constant part of the iceberg order in lots. Must be filled at the order creation, can be changed later but only for orders created on stock and money markets
Example: 100
The deviation amplitude (% of icebergFixed) of the random increment to the visible part of the iceberg order set out at the order creation. Derivatives only
Example: 2
Number of visible units
Example: 0
Number of visible lots
Example: 0
Number of filled visible units
Example: 0
Number of filled visible lots
Example: 0
Volume. Null for market orders
Example: 6400.00000
The unique identifier of the operation. All incoming messages related to this operation will have this guid field value
Example: c328fcf1-e495-408a-a0ed-e20f95d6b813
- Response body
- Schema
{
"data": {
"id": "2006665023417483347",
"sym": "SOGN",
"tic": "ITS:SOGN",
"p": "D00013",
"ex": "ITS",
"cmt": null,
"t": "limit",
"s": "buy",
"st": "working",
"tt": "2024-01-08T15:57:12.2911671Z",
"ut": "2024-01-08T15:57:12.2911671Z",
"et": "2024-12-27T23:59:59.9990000Z",
"q": 1,
"qb": 1,
"fq": 0,
"fqb": 0,
"px": 6400.00000,
"h": true,
"tf": "oneday",
"i": null,
"v": 6400.00000
},
"guid": "c328fcf1-e495-408a-a0ed-e20f95d6b813"
}
Response body parameters
limit— Limit ordermarket— Market orderbuysellworking— Waiting for executionfilled— Executedcanceled— Canceledrejected— RejectedOneDay— Execute within one trading day. At the expiration of this term the unexecuted balance is withdrawnImmediateOrCancel— Execute immediately for the entire available volume of counter orders. The unexecuted balance is canceledFillOrKill— Execute immediately for the whole specified volume without a balance. If execution without a balance is impossible — the order is canceledAtTheClose— Execute at the moment of trading closing at the market price reached at that moment. Market orders only because the lot price depends on the market price at the moment of executionGoodTillCancelled— Execute within the maximum available period supported by the exchange. Futures market onlyBookOrCancel— Passive order. Will be placed on the exchange only if its price or spread value is worse than similar indicators of counter orders
data
object
Requested data
Unique order ID
Example: 2006665023417483347
Security code (ticker)
Example: SOGN
Exchange-Ticker Pair
Example: ITS:SOGN
Client portfolio ID
Example: D00013
Exchange code
Example: ITS
Custom order comment. Maximum comment length is limited by 100 characters
Example: First order
Order type:
Example: market
Transaction side:
Example: sell
Order status:
Example: working
Date and time of order transaction (UTC)
Example: 2024-01-08T15:57:12.2911671Z
Date and time of order update (UTC)
Example: 2024-01-08T15:57:12.2911671Z
Date and time of closing order (UTC)
Example: 2024-12-27T23:59:59.9990000Z
Number of units
Example: 1
Number of lots
Example: 1
Number of units filled
Example: 0
Number of lots filled
Example: 0
Price
Example: 271.57
True will return the response including data from snapshot, i.e. from history. False will return only new events
Example: false
Order placement condition considering the possibility of its execution:
Example: OneDay
iobject
Special fields for transactions with hidden part
The visible constant part of the iceberg order in lots. Must be filled at the order creation, can be changed later but only for orders created on stock and money markets
Example: 100
The deviation amplitude (% of icebergFixed) of the random increment to the visible part of the iceberg order set out at the order creation. Derivatives only
Example: 2
Number of visible units
Example: 0
Number of visible lots
Example: 0
Number of filled visible units
Example: 0
Number of filled visible lots
Example: 0
Volume. Null for market orders
Example: 6400.00000
The unique identifier of the operation. All incoming messages related to this operation will have this guid field value
Example: c328fcf1-e495-408a-a0ed-e20f95d6b813
- Response body
- Schema
{
"data": {
"id": "2006665023417483347",
"symbol": "SOGN",
"brokerSymbol": "ITS:SOGN",
"portfolio": "D00013",
"exchange": "ITS",
"comment": null,
"type": "limit",
"side": "buy",
"status": "working",
"transTime": "2024-01-08T15:57:12.2911671Z",
"updateTime": "2024-01-08T15:57:12.2911671Z",
"endTime": "2024-12-27T23:59:59.9990000Z",
"qtyUnits": 1,
"qtyBatch": 1,
"filledQtyUnits": 0,
"filledQtyBatch": 0,
"price": 6400.00000,
"existing": true,
"timeInForce": "oneday",
"iceberg": null,
"volume": 6400.00000
},
"guid": "c328fcf1-e495-408a-a0ed-e20f95d6b813"
}
Response body parameters
limit— Limit ordermarket— Market orderbuysellworking— Waiting for executionfilled— Executedcanceled— Canceledrejected— RejectedOneDay— Execute within one trading day. At the expiration of this term the unexecuted balance is withdrawnImmediateOrCancel— Execute immediately for the entire available volume of counter orders. The unexecuted balance is canceledFillOrKill— Execute immediately for the whole specified volume without a balance. If execution without a balance is impossible — the order is canceledAtTheClose— Execute at the moment of trading closing at the market price reached at that moment. Market orders only because the lot price depends on the market price at the moment of executionGoodTillCancelled— Execute within the maximum available period supported by the exchange. Futures market onlyBookOrCancel— Passive order. Will be placed on the exchange only if its price or spread value is worse than similar indicators of counter orders
data
object
Requested data
Unique order ID
Example: 2006665023417483347
Security code (ticker)
Example: SOGN
Exchange-Ticker Pair
Example: ITS:SOGN
Client portfolio ID
Example: D00013
Exchange code
Example: ITS
Custom order comment. Maximum comment length is limited by 100 characters
Example: First order
Order type:
Example: market
Transaction side:
Example: sell
Order status:
Example: working
Date and time of order transaction (UTC)
Example: 2024-01-08T15:57:12.2911671Z
Date and time of order update (UTC)
Example: 2024-01-08T15:57:12.2911671Z
Date and time of closing order (UTC)
Example: 2024-12-27T23:59:59.9990000Z
Number of units
Example: 1
Number of lots
Example: 1
Number of units filled
Example: 0
Number of lots filled
Example: 0
Price
Example: 271.57
True will return the response including data from snapshot, i.e. from history. False will return only new events
Example: false
Order placement condition considering the possibility of its execution:
Example: OneDay
icebergobject
Special fields for transactions with hidden part
The visible constant part of the iceberg order in lots. Must be filled at the order creation, can be changed later but only for orders created on stock and money markets
Example: 100
The deviation amplitude (% of icebergFixed) of the random increment to the visible part of the iceberg order set out at the order creation. Derivatives only
Example: 2
Number of visible units
Example: 0
Number of visible lots
Example: 0
Number of filled visible units
Example: 0
Number of filled visible lots
Example: 0
Volume. Null for market orders
Example: 6400.00000
The unique identifier of the operation. All incoming messages related to this operation will have this guid field value
Example: c328fcf1-e495-408a-a0ed-e20f95d6b813
Successful request processing report
- Body
- Schema
{
"message": "Handled successfully",
"httpCode": 200,
"requestGuid": "c328fcf1-e495-408a-a0ed-e20f95d6b813"
}
Response body parameters
Text description of the returned HTTP code
Example: Handled successfully
HTTP message code
Example: 200
The unique identifier of the operation. All incoming messages related to this operation will have this guid field value
Example: c328fcf1-e495-408a-a0ed-e20f95d6b813
Failed to process request. Access token is invalid, not specified in the message or belongs to other system environment
- Body
- Schema
{
"requestGuid": "c328fcf1-e495-408a-a0ed-e20f95d6b813",
"httpCode": 401,
"message": "Invalid JWT token!"
}
Response body parameters
The unique identifier of the operation. All incoming messages related to this operation will have this guid field value
Example: c328fcf1-e495-408a-a0ed-e20f95d6b813
HTTP message code
Example: 401
Text description of the returned HTTP code
Example: Invalid JWT token!